<project name="db" basedir="." default="help">
    <property name="javac.classpath" value="build/classes; 
                                            /icc/tools/jetstream/lib" />
    <property name="target.dir" value="build/classes"/>

    <target name="build">
        <mkdir dir="${target.dir}"/>
        <javac srcdir="src/com"
               deprecation="on" 
               debug="true"
               debuglevel="lines,source"
               destdir="${target.dir}"
               classpath="${javac.classpath}">
            <include name="icc/**" />
        </javac>
    </target>

    <target name="clean">
        <delete dir="build"/>
    </target>

    <target name="war" depends="build" description="Builds all code and creates the WAR file for the servlet">
        <war destfile="build/db.war" webxml="web.xml" >
            <classes dir="build/classes" />
            <lib dir="lib" excludes="**/servlet-api.jar"/>
            <lib file="/icc/tools/jetstream/build/jetstream.jar" />
            <lib dir="/icc/tools/jetstream/lib"  excludes="**/servlet-api.jar"/>
        </war>
    </target>
    
    <target name="deploy" depends="war" description="Builds the WAR and copies it Tomcat's webapps directory">
        <copy file="build/db.war" todir="/usr/local/tomcat/webapps"/>
    </target>

    <target name="help">
        <echo>
            Use "ant war" to build the example.
            Try "ant -p" to show what other targets exist.
        </echo>
    </target>

</project>
